<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
$cuenta_id = $_SESSION['cuenta_id'];
/*Inicia validacion del lado del servidor*/
if (empty($_POST['abono'])) {
    $errors[] = "Cantidad vacía";
} else if (!empty($_POST['abono'])) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    require_once "../funciones.php";
    // escaping, additionally removing everything that could be (html/javascript-) code
    $abono  = floatval($_POST['abono']);
    $id_fcr = mysqli_real_escape_string($conexion, (strip_tags($_POST["id_fcr"], ENT_QUOTES)));

    $concepto = mysqli_real_escape_string($conexion, (strip_tags($_POST["concepto"], ENT_QUOTES)));
    $user_id  = $_SESSION['id_users'];
    $fecha    = date("Y-m-d H:i:s");
    // Consulta para Extraer los datos del credito
    $consultar     = mysqli_query($conexion, "select id_cliente, monto_credito, saldo_credito from creditos where cuenta_id='" . $cuenta_id . "'");
    $rw            = mysqli_fetch_array($consultar);
    $id_cliente    = $rw['id_cliente'];
    $monto_credito = $rw['monto_credito'];
    $saldo         = $rw['saldo_credito'] - $abono;
    $saldo_fact    = get_row('facturas_creditos', 'saldo_fact', 'id_fcr', $id_fcr);
    $numero_fact   = get_row('facturas_creditos', 'num_factura', 'id_fcr', $id_fcr);
    $new_saldo     = $saldo_fact - $abono;
    if ($saldo_fact == 0) {
        echo "<script>
    swal({
    title: 'EL SALDO DE FACTURA $numero_fact YA ESTA LIQUIDADO',
    text: 'Intentar nuevamente',
    type: 'error',
    confirmButtonText: 'ok'
    })</script>";
        exit;
    }
    // verificamos si el abono es mayor a la deunda
    if ($abono > $saldo_fact) {
        echo "<script>
        $.Notification.notify('error','bottom center','NOTIFICACIÓN', 'EL ABONO ES MAYOR A LA DEUDA, INTENTAR NUEVAMENTE')
        </script>";
        exit;
    }
    // guardamos los datos la tabla de abonos
    $sql = "INSERT INTO creditos_abonos (numero_factura, fecha_abono, id_cliente, monto_abono, abono, saldo_abono, id_users_abono, id_sucursal, concepto_abono, cuenta)
  VALUES ('$numero_fact', '$fecha', '$id_cliente', '$monto_credito', '$abono', '$saldo', '$user_id','1','$concepto', '$cuenta_id');";
    $query = mysqli_query($conexion, $sql);
    // actualizamos el saldo del cliente de la factura correspondiente
    $update_saldo = mysqli_query($conexion, "update creditos set saldo_credito=saldo_credito-'$abono' where cuenta_id='$cuenta_id'");
    $up_detalle   = mysqli_query($conexion, "update facturas_creditos set saldo_fact='$new_saldo' where num_factura='$numero_fact'");
    // Actualizamos el estado de la facturas si el crédito es cancelado en su totalidad
    $comprobar = mysqli_query($conexion, "select saldo_fact from facturas_creditos where id_fcr='$id_fcr'");
    $rww       = mysqli_fetch_array($comprobar);
    if ($rww['saldo_fact'] == 0) {
        $up_credito = mysqli_query($conexion, "update creditos set estado_credito=2 where cuenta_id='$cuenta_id'");
        $up_factura = mysqli_query($conexion, "update facturas_ventas set estado_factura=1 where numero_factura='$numero_fact'");
        echo "<script>
        $.Notification.notify('info','bottom center','NOTIFICACIÓN', 'EL CREDITO SE HA CANCELADO EN SU TOTALIDAD')
        $('#facturas').load('../ajax/carga_facturas.php');
        </script>";
    }
    if ($sql) {
        $messages[] = "El Abono  ha sido ingresado satisfactoriamente." . '' . $numero_fact;
        echo "<script>
         $('#facturas').load('../ajax/carga_facturas.php');
        </script>";
    } else {
        $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

    ?>
    <div class="alert alert-danger" role="alert">
        <strong>Error!</strong>
        <?php
foreach ($errors as $error) {
        echo $error;
    }
    ?>
    </div>
    <?php
}
if (isset($messages)) {

    ?>
    <div class="alert alert-success" role="alert">
        <strong>¡Bien hecho!</strong>
        <?php
foreach ($messages as $message) {
        echo $message;
    }
    ?>
    </div>
    <?php
}

?>